@mixin desktop {
  @media (min-width: 1024px) {
    @content;
  }
}

.block {
  display: flex;
  flex-direction: column;
  @include desktop {
    flex-direction: row;
  }
}

$color: green; 

.blueText {
  color: $color;
}
   